Ruby master - Feature #5826

When the RUBY API_VERSION will be increased?
12/31/2011 12:23 AM - ayumin (Ayumu AIZAWA)

Status: Closed

Priority: Normal

Assignee: matz (Yukihiro Matsumoto)
Target version: 2.0.0

Description

| think RUBY_API_VERSION should be 2.0.0 for Ruby2.0.0.
In other hand, some people might think it should stay 1.9.1 becouse Ruby2.0.0 will have backward compatibility with 1.9.

History

#1-12/31/2011 06:11 AM - ayumin (Ayumu AIZAWA)
- File 0001-RUBY_API_VERSION-2.0.0.patch added

#2 - 01/03/2012 07:39 AM - shevegen (Robert A. Heiler)

Ruby 2.0 should be new and different and not care about 1.9.x
So | think +1 here from me, because it feels consistent with the version.

But matz will decide how he wants to have it. :)

#3 - 01/06/2012 12:54 AM - ayumin (Ayumu AIZAWA)
- Status changed from Open to Assigned

- Assignee set to matz (Yukihiro Matsumoto)

#4 - 01/06/2012 05:23 AM - kosaki (Motohiro KOSAKI)

| think RUBY_API_VERSION should be 2.0.0 for Ruby2.0.0.
In other hand, some people might think it should stay 1.9.1 becouse Ruby2.0.0 will have backward compatibility with 1.9.

Please just bump it up now. | can imagine people want to install both
1.9.3 and 2.0.0 a while.

#5 - 01/06/2012 11:17 PM - ayumin (Ayumu AIZAWA)

- Status changed from Assigned to Closed

Update RUBY_API_VERSION to 2.0.0 by r34220.

Files

0001-RUBY_API_VERSION-2.0.0.patch 545 Bytes 12/31/2011 ayumin (Ayumu AIZAWA)
